---
title: RTCDTMFToneChangeEvent.tone
slug: Web/API/RTCDTMFToneChangeEvent/tone
tags:
  - Media
  - Property
  - RTCDTMFToneChangeEvent
  - Reference
  - Touch-
  - WebRTC
  - WebRTC API
  - tone
---
<div>{{APIRef("WebRTC")}}</div>

<p>The read-only property <strong><code>RTCDTMFToneChangeEvent.tone</code></strong> returns the DTMF character which has just begun to play, or an empty string (<code>""</code>). if all queued tones have finished playing (that is, {{domxref("RTCDTMFSender.toneBuffer")}} is empty).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var <em>tone</em> = <em>dtmfToneChangeEvent</em>.tone;</pre>

<h2 id="Example">Example</h2>

<p>This example establishes a handler for the {{event("tonechange")}} event which updates an element to display the currently playing tone in its content, or, if all tones have played, the string "&lt;none&gt;".</p>

<pre class="brush: js">dtmfSender.ontonechange = function( ev ) {
  let tone = ev.tone;
  if (tone === "") {
    tone = "&amp;lt;none&amp;gt;"
  }

  document.getElementById("playingTone").innerText = tone;
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcdtmftonechangeevent-tone', 'RTCDTMFToneChangeEvent.tone') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDTMFToneChangeEvent.tone")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Using_DTMF">Using DTMF with WebRTC</a></li>
 <li>{{event("toneevent")}}</li>
 <li>{{domxref("RTCDTMFToneChangeEvent")}}</li>
</ul>
